Subject: bug#52107: An Idea

From: Maxime Devos <[email-masked]>
Date: Fri, 26 Nov 2021 14:21:34 +0000

Nicholas von Klitzing schreef op vr 26-11-2021 om 09:42 [+0000]:
> Just to get the ball rolling, here is a possible idea.
> 
> It might makes sense to add an additional output to the rust package
> `src` and then require this by the rust-analyzer package as
> `rust:src`.

I'd use a native-search-path instead of a wrapper setting the
environment variable, such that rust-analyzer can be used with any
version of rust and the user can override the source code used.

> In the rust-analyzer package we could then copy a thing from
> `icedove-wayland`:
> [
>  ...]           (call-with-output-file exe
>               (lambda (port)
>                 (format port "#!~a
> ;; This style of overriding environment variables could be used for
> ;; RUST_SRC_PATH, although I am not sure if this is the idiomatic
> ;; way to do it.
>  MOZ_ENABLE_WAYLAND=1 exec ~a $@"

'wrap-program' could be used here, instead of manually making shell
scripts.

Greetings,
Maxime